Skip to main content
PATCH
/
base
/
{baseId}
/
share
/
{shareId}
cURL
curl --request PATCH \
  --url https://app.teable.ai/api/base/%7BbaseId%7D/share/%7BshareId%7D \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"allowSave":true,"allowCopy":true,"enabled":true,"password":"string"}'
{
  "baseId": "<string>",
  "shareId": "<string>",
  "password": true,
  "nodeId": "<string>",
  "allowSave": true,
  "allowCopy": true,
  "enabled": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

baseId
string
required
shareId
string
required

Body

application/json
allowSave
boolean | null
allowCopy
boolean | null
enabled
boolean
password
string | null
Minimum string length: 3

Response

200 - application/json

Returns the updated base share

baseId
string
required
shareId
string
required
password
boolean
required
nodeId
string
required
allowSave
boolean | null
required
allowCopy
boolean | null
required
enabled
boolean
required
Last modified on March 5, 2026